package intrinsic.flash.events;

public class ErrorEvent extends intrinsic.flash.events.TextEvent {

	/** Accessors */
	public int errorID;

	/** Variables */

	/** Constants */
	public static final String ERROR = "error";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ErrorEvent() {
}

public ErrorEvent(String arg0) {
}

public ErrorEvent(String arg0, boolean arg1) {
}

public ErrorEvent(String arg0, boolean arg1, boolean arg2) {
}

public ErrorEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public ErrorEvent(String arg0, boolean arg1, boolean arg2, String arg3, int arg4) {
}


/** Static Methods */

/** Methods */
public native String toString();
public native Object clone();

}
